Package com.usatiuk.dhfs.repository

# Class DhfsObjectSyncGrpcGrpc

java.lang.Object
com.usatiuk.dhfs.repository.DhfsObjectSyncGrpcGrpc

@Generated(value="by gRPC proto compiler (version 1.69.1)", comments="Source: dhfs_sync.proto") public final class DhfsObjectSyncGrpcGrpc extends Object

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static interface`
`DhfsObjectSyncGrpcGrpc.AsyncService`
`static class`
`DhfsObjectSyncGrpcGrpc.DhfsObjectSyncGrpcBlockingStub`
A stub to allow clients to do synchronous rpc calls to service DhfsObjectSyncGrpc.
`static class`
`DhfsObjectSyncGrpcGrpc.DhfsObjectSyncGrpcFutureStub`
A stub to allow clients to do ListenableFuture-style rpc calls to service DhfsObjectSyncGrpc.
`static class`
`DhfsObjectSyncGrpcGrpc.DhfsObjectSyncGrpcImplBase`
Base class for the server implementation of the service DhfsObjectSyncGrpc.
`static class`
`DhfsObjectSyncGrpcGrpc.DhfsObjectSyncGrpcStub`
A stub to allow clients to do asynchronous rpc calls to service DhfsObjectSyncGrpc.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`SERVICE_NAME`

## Method Summary

Modifier and Type
Method
Description
`static io.grpc.ServerServiceDefinition`
`bindService(DhfsObjectSyncGrpcGrpc.AsyncService service)`
`static io.grpc.MethodDescriptor<CanDeleteRequest,CanDeleteReply>`
`getCanDeleteMethod()`
`static io.grpc.MethodDescriptor<GetObjectRequest,GetObjectReply>`
`getGetObjectMethod()`
`static io.grpc.MethodDescriptor<OpPushRequest,OpPushReply>`
`getOpPushMethod()`
`static io.grpc.MethodDescriptor<PingRequest,PingReply>`
`getPingMethod()`
`static io.grpc.ServiceDescriptor`
`getServiceDescriptor()`
`static DhfsObjectSyncGrpcGrpc.DhfsObjectSyncGrpcBlockingStub`
`newBlockingStub(io.grpc.Channel channel)`
Creates a new blocking-style stub that supports unary and streaming output calls on the service
`static DhfsObjectSyncGrpcGrpc.DhfsObjectSyncGrpcFutureStub`
`newFutureStub(io.grpc.Channel channel)`
Creates a new ListenableFuture-style stub that supports unary calls on the service
`static DhfsObjectSyncGrpcGrpc.DhfsObjectSyncGrpcStub`
`newStub(io.grpc.Channel channel)`
Creates a new async stub that supports all call types for the service

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### SERVICE_NAME

public static final String SERVICE_NAME

See Also:
  - Constant Field Values

## Method Details

### getOpPushMethod

public static io.grpc.MethodDescriptor<OpPushRequest,OpPushReply> getOpPushMethod()

### getGetObjectMethod

public static io.grpc.MethodDescriptor<GetObjectRequest,GetObjectReply> getGetObjectMethod()

### getCanDeleteMethod

public static io.grpc.MethodDescriptor<CanDeleteRequest,CanDeleteReply> getCanDeleteMethod()

### getPingMethod

public static io.grpc.MethodDescriptor<PingRequest,PingReply> getPingMethod()

### newStub

public static DhfsObjectSyncGrpcGrpc.DhfsObjectSyncGrpcStub newStub(io.grpc.Channel channel)
Creates a new async stub that supports all call types for the service

### newBlockingStub

public static DhfsObjectSyncGrpcGrpc.DhfsObjectSyncGrpcBlockingStub newBlockingStub(io.grpc.Channel channel)
Creates a new blocking-style stub that supports unary and streaming output calls on the service

### newFutureStub

public static DhfsObjectSyncGrpcGrpc.DhfsObjectSyncGrpcFutureStub newFutureStub(io.grpc.Channel channel)
Creates a new ListenableFuture-style stub that supports unary calls on the service

### bindService

public static io.grpc.ServerServiceDefinition bindService(DhfsObjectSyncGrpcGrpc.AsyncService service)

### getServiceDescriptor

public static io.grpc.ServiceDescriptor getServiceDescriptor()